Package org.apache.sysds.runtime.instructions.cp

# Class PlaintextMatrix

java.lang.Object
org.apache.sysds.runtime.instructions.cp.Data
org.apache.sysds.runtime.instructions.cp.Encrypted
org.apache.sysds.runtime.instructions.cp.PlaintextMatrix

All Implemented Interfaces:
  `Serializable`

public class PlaintextMatrix extends Encrypted
This class abstracts over an encrypted matrix of ciphertexts. It stores the data as opaque byte array. The layout is unspecified.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PlaintextMatrix(int[] dims, DataCharacteristics dc, byte[] data)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDebugName()`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Encrypted

`getData, getDataCharacteristics, getDims`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getMetaData, getValueType, removeMetaData, setMetaData, toString, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlaintextMatrix

public PlaintextMatrix(int[] dims, DataCharacteristics dc, byte[] data)

## Method Details

### getDebugName

public String getDebugName()

Specified by:
  `getDebugName` in class `Data`